unit View.Search;

interface

uses
  System.SysUtils, System.Generics.Collections, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, WEBLib.Menus, WEBLib.ExtCtrls, WEBLib.StdCtrls,
  WEBLib.JSON, Auth.Service, XData.Web.Client, WebLib.Storage,
  ConnectionModule, App.Types, Vcl.StdCtrls, Vcl.Controls, WEBLib.DBCtrls,
  Data.DB, XData.Web.JsonDataset, XData.Web.Dataset, WEBLib.DB, WEBLib.Grids,
  Vcl.Grids;

type
  TFSearch = class(TWebForm)
    pnlMessage: TWebPanel;
    lblMessage: TWebLabel;
    btnCloseNotification: TWebButton;
    wcbSortBy: TWebComboBox;
    btnConfirm: TWebButton;
    edtSearch: TWebEdit;
    dtpStartDate: TWebDateTimePicker;
    dtpEndDate: TWebDateTimePicker;
    cbEmpty: TWebCheckBox;
    wcbSearchCategory: TWebComboBox;
    wcbStatusType: TWebComboBox;
    procedure btnConfirmClick(Sender: TObject);
  private
    //FJSONProc: TJSONProc;
  public
    class function CreateForm(AElementID: string): TWebForm;
  end;

var
  FSearch: TFSearch;

implementation

{$R *.dfm}

class function TFSearch.CreateForm(AElementID: string): TWebForm;
begin
  Application.CreateForm(TFSearch, AElementID, Result,
    procedure(AForm: TObject)
    begin
      with TFSearch(AForm) do
      begin

      end;
    end
  );
end;

procedure TFSearch.btnConfirmClick(Sender: TObject);
begin
  Close;
end;

end.

